Page MenuHomePhabricator

[Task] Plaintext formatter should render unit
Closed, ResolvedPublic

Description

Plaintext formatter should render unit, because it is use by wikitext output. Quantity input should use a formatter option to get value without unit.

Caller Graph for Quantity input :

RepoApi < FormatValueCall < jquery.valueview.valueview < Snakview < statementview < TemplatedWidget

Related Objects

Event Timeline

Jonas raised the priority of this task from to Normal.
Jonas updated the task description. (Show Details)
Jonas added a subscriber: Jonas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 2:26 PM
Jonas set Security to None.Aug 25 2015, 2:26 PM
Jonas updated the task description. (Show Details)Aug 26 2015, 9:14 AM
Jonas added subscribers: thiemowmde, daniel.

Change 233984 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Revert plain text QuantityFormatter to output unit by default

https://gerrit.wikimedia.org/r/233984

thiemowmde added a comment.EditedAug 26 2015, 3:06 PM

Patches for review:

Jonas closed this task as Resolved.Aug 27 2015, 2:53 PM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2015-08-18 board.

Change 233984 merged by jenkins-bot:
Revert plain text QuantityFormatter to output unit by default

https://gerrit.wikimedia.org/r/233984